<?php (defined('BASEPATH')) OR exit('No direct script access allowed');

/**
 * Modular Extensions - HMVC
 * Adapted from wiredesignz codeigniter-modular-extensions-hmvc 5.5
 */
#[\AllowDynamicProperties]
class CI
{
	/** The current active CodeIgniter instance **/
	public static $APP;

	public static function & get_instance()
	{
		return CI::$APP;
	}
}

/** Get current core class **/
if ( ! function_exists('CI_Core'))
{
	function CI_Core()
	{
		$d = str_replace('\\', '/', realpath(__DIR__));
		return is_file($d.'/CodeIgniter.php');
	}
}
